/*
 * vdr-vodcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2007 - 2008 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * $Id: ListMenuMock.h 7652 2008-08-05 21:37:57Z svntobi $
 *
 */

#ifndef ___LISTMENUMOCK_H
#define ___LISTMENUMOCK_H

#include <string>
#include "StringMessageMock.h"
#include "IListMenu.h"

class ListMenuMock : public StringMessageMock, public IListMenu
{
public:
    std::string red;
    std::string green;
    std::string yellow;
    std::string blue;
    bool isActiveMenu;

private:
    void SetHelpString(std::string& str, const char* text);

public:
    ListMenuMock();
    // <IListMenu>
    void SetTitle(const std::string title);
    void AddItem(const std::string item);
    void SetRedHelp(const std::string text);
    void SetGreenHelp(const std::string text);
    void SetYellowHelp(const std::string text);
    void SetBlueHelp(const std::string text);
    eOSState ShowSubMenu(cOsdMenu* menu);
    void Clear();
    void Refresh();
    bool IsActiveMenu();
    // </IListMenu>
};

#endif
